<wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="http://examples.cxf.base.openbravo.org/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="calculatorService" targetNamespace="http://examples.cxf.base.openbravo.org/">
    <wsdl:types>
        <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://examples.cxf.base.openbravo.org/" elementFormDefault="unqualified" targetNamespace="http://examples.cxf.base.openbravo.org/" version="1.0">
            <xs:element name="multiply" type="tns:multiply" />
            <xs:element name="multiplyResponse" type="tns:multiplyResponse" />
            <xs:element name="sum" type="tns:sum" />
            <xs:element name="sumResponse" type="tns:sumResponse" />
            <xs:complexType name="sum">
                <xs:sequence>
                    <xs:element name="sum1" type="xs:int" />
                    <xs:element name="sum2" type="xs:int" />
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="sumResponse">
                <xs:sequence>
                    <xs:element name="return" type="xs:int" />
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="multiply">
                <xs:sequence>
                    <xs:element name="mul1" type="xs:int" />
                    <xs:element name="mul2" type="xs:int" />
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="multiplyResponse">
                <xs:sequence>
                    <xs:element name="return" type="xs:int" />
                </xs:sequence>
            </xs:complexType>
        </xs:schema>
    </wsdl:types>
    <wsdl:message name="sum">
        <wsdl:part element="tns:sum" name="parameters"></wsdl:part>
    </wsdl:message>
    <wsdl:message name="sumResponse">
        <wsdl:part element="tns:sumResponse" name="parameters"></wsdl:part>
    </wsdl:message>
    <wsdl:message name="multiply">
        <wsdl:part element="tns:multiply" name="parameters"></wsdl:part>
    </wsdl:message>
    <wsdl:message name="multiplyResponse">
        <wsdl:part element="tns:multiplyResponse" name="parameters"></wsdl:part>
    </wsdl:message>
    <wsdl:portType name="Calculator">
        <wsdl:operation name="sum">
            <wsdl:input message="tns:sum" name="sum"></wsdl:input>
            <wsdl:output message="tns:sumResponse" name="sumResponse"></wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="multiply">
            <wsdl:input message="tns:multiply" name="multiply"></wsdl:input>
            <wsdl:output message="tns:multiplyResponse" name="multiplyResponse"></wsdl:output>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="calculatorServiceSoapBinding" type="tns:Calculator">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http" />
        <wsdl:operation name="sum">
            <soap:operation soapAction="" style="document" />
            <wsdl:input name="sum">
                <soap:body use="literal" />
            </wsdl:input>
            <wsdl:output name="sumResponse">
                <soap:body use="literal" />
            </wsdl:output>
        </wsdl:operation>
        <wsdl:operation name="multiply">
            <soap:operation soapAction="" style="document" />
            <wsdl:input name="multiply">
                <soap:body use="literal" />
            </wsdl:input>
            <wsdl:output name="multiplyResponse">
                <soap:body use="literal" />
            </wsdl:output>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="calculatorService">
        <wsdl:port binding="tns:calculatorServiceSoapBinding" name="calculatorServicePort">
            <soap:address location="$context.url/org.openbravo.base.cxf/calculatorService" />
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>